Panda3D

Loading...
Searching...
No Matches
Functions
renderAttrib.I File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

Go to the source code of this file.

## Functions
| CPT (RenderAttrib) RenderAttrib
| Returns a new RenderAttrib object that represents the composition of this attrib with the other attrib.

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2002-02-21

Definition in file renderAttrib.I.

## Function Documentation

## ◆ CPT()

CPT | ( | RenderAttrib |  | ) |
| inline

Returns a new RenderAttrib object that represents the composition of this attrib with the other attrib.

In most cases, this is the same as the other attrib; a compose b produces b. Some kinds of attributes, like a TextureTransform, for instance, might produce a new result: a compose b produces c.

Returns a new RenderAttrib object that represents the composition of the inverse of this attrib with the other attrib. In most cases, this is the same as the other attrib; !a compose b produces b. Some kinds of attributes, like a TextureTransform, for instance, might produce a new result: !a compose b produces c.

This is similar to compose() except that the source attrib is inverted first. This is used to compute the relative attribute for one node as viewed from some other node, which is especially useful for transform-type attributes.

Provides an arbitrary ordering among all unique RenderAttribs, so we can store the essentially different ones in a big set and throw away the rest.

This method is not needed outside of the RenderAttrib class because all equivalent RenderAttrib objects are guaranteed to share the same pointer; thus, a pointer comparison is always sufficient.

Returns a suitable hash value for phash_map.

Returns the pointer to the unique RenderAttrib in the cache that is equivalent to this one. This may be the same pointer as this object, or it may be a different pointer; but it will be an equivalent object, and it will be a shared pointer. This may be called from time to time to improve cache benefits.

Calculates a suitable hash value for phash_map.

Definition at line 21 of file renderAttrib.I.